Complete a checkout
curl --request POST \
--url https://api.getsly.ai/v1/v1/ucp/checkouts/{id}/complete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payment_method_id": "<string>",
"from_wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"idempotency_key": "<string>"
}
'import requests
url = "https://api.getsly.ai/v1/v1/ucp/checkouts/{id}/complete"
payload = {
"payment_method_id": "<string>",
"from_wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"idempotency_key": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
payment_method_id: '<string>',
from_wallet_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
idempotency_key: '<string>'
})
};
fetch('https://api.getsly.ai/v1/v1/ucp/checkouts/{id}/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"items": [
{
"sku": "<string>",
"quantity": 123,
"unit_price": "<string>",
"currency": "<string>",
"description": "<string>"
}
],
"total": "<string>",
"currency": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"session_url": "<string>",
"success_url": "<string>",
"cancel_url": "<string>",
"metadata": {}
},
"transfer_id": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": "<unknown>",
"request_id": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": "<unknown>",
"request_id": "<string>"
}UCP Checkouts
Complete a checkout
Execute payment. For card checkouts, pass payment_method_id from your Stripe/Adyen integration. For stablecoin checkouts, pass from_wallet_id.
POST
/
v1
/
ucp
/
checkouts
/
{id}
/
complete
Complete a checkout
Authorizations
API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).
Path Parameters
⌘I